
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.novaterradimension.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.novaterradimension.NovaTerraDimensionMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class NovaTerraDimensionModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, NovaTerraDimensionMod.MODID);
	public static final RegistryObject<CreativeModeTab> NT_OVERWORLD = REGISTRY.register("nt_overworld",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.nova_terra_dimension.nt_overworld")).icon(() -> new ItemStack(NovaTerraDimensionModBlocks.TERRATREELEAF.get())).displayItems((parameters, tabData) -> {
				tabData.accept(NovaTerraDimensionModBlocks.TERRATREELEAF.get().asItem());
				tabData.accept(NovaTerraDimensionModBlocks.TERRATREESTEM.get().asItem());
				tabData.accept(NovaTerraDimensionModBlocks.TERRAPLANKS.get().asItem());
				tabData.accept(NovaTerraDimensionModItems.NOVA_TERRA.get());
				tabData.accept(NovaTerraDimensionModBlocks.ARMATAE_ABIETE_LOG.get().asItem());
				tabData.accept(NovaTerraDimensionModBlocks.ARMATAE_ABIETE_PLANKS.get().asItem());
				tabData.accept(NovaTerraDimensionModBlocks.ARMATAE_ABIETE_STAIRS.get().asItem());
				tabData.accept(NovaTerraDimensionModBlocks.ARMATAE_ABIETE_SLAB.get().asItem());
				tabData.accept(NovaTerraDimensionModBlocks.ARMATAE_ABIETE_BUTTON.get().asItem());
			}).withSearchBar().build());
	public static final RegistryObject<CreativeModeTab> FLORA = REGISTRY.register("flora",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.nova_terra_dimension.flora")).icon(() -> new ItemStack(Blocks.ALLIUM)).displayItems((parameters, tabData) -> {
				tabData.accept(NovaTerraDimensionModItems.CAELUMFRUIT.get());
				tabData.accept(NovaTerraDimensionModItems.CAELUMSLICE.get());
				tabData.accept(NovaTerraDimensionModItems.TANGERE_CAELUM_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.FLOS_FILUM_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.ICOSAROGER_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.FLOSGLACIASBERRY.get());
				tabData.accept(NovaTerraDimensionModItems.FLOSGLACIAS_SPAWN_EGG.get());
			}).withSearchBar().build());
	public static final RegistryObject<CreativeModeTab> FAUNA = REGISTRY.register("fauna",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.nova_terra_dimension.fauna")).icon(() -> new ItemStack(Items.PORKCHOP)).displayItems((parameters, tabData) -> {
				tabData.accept(NovaTerraDimensionModItems.LABEREINSECTUM_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.TENTORIUMLACERTAE_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.ROSTRUMCLAVA_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.NASUSCOMEDENTIS_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.OSTENTATIONEM_IECIT_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.FALUMRAPHOS_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.LABEREINSECTUMWINGS.get());
				tabData.accept(NovaTerraDimensionModItems.TENTORIUMLACERTEATOUNGE.get());
				tabData.accept(NovaTerraDimensionModItems.GREEN_SCALE.get());
				tabData.accept(NovaTerraDimensionModItems.ROSTRUMCLAVABEAK.get());
				tabData.accept(NovaTerraDimensionModItems.HORN.get());
				tabData.accept(NovaTerraDimensionModItems.PELT.get());
				tabData.accept(NovaTerraDimensionModItems.POISONSPINE.get());
				tabData.accept(NovaTerraDimensionModItems.ERICIUS.get());
				tabData.accept(NovaTerraDimensionModItems.GLACIESPERSONA_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.DUMBO_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.GLACIESCORNU_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.CREPITANTPEDE_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.DUMBOEAR.get());
				tabData.accept(NovaTerraDimensionModItems.GLACIESCORNUBEAK.get());
				tabData.accept(NovaTerraDimensionModItems.GLACIESCORNUTALONS.get());
				tabData.accept(NovaTerraDimensionModItems.CREPITANTPEDEJAW.get());
				tabData.accept(NovaTerraDimensionModItems.GREYSCALE.get());
				tabData.accept(NovaTerraDimensionModItems.CREPITANTPEDETEETH.get());
			}).withSearchBar().build());
	public static final RegistryObject<CreativeModeTab> TITANS = REGISTRY.register("titans",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.nova_terra_dimension.titans")).icon(() -> new ItemStack(Items.TRIDENT)).displayItems((parameters, tabData) -> {
				tabData.accept(NovaTerraDimensionModItems.TITANIACUSTOSPISCIUM_SPAWN_EGG.get());
				tabData.accept(NovaTerraDimensionModItems.TITANKILLERSWORD.get());
			}).withSearchBar().build());
	public static final RegistryObject<CreativeModeTab> NESTS_DENS = REGISTRY.register("nests_dens",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.nova_terra_dimension.nests_dens")).icon(() -> new ItemStack(Items.EGG)).displayItems((parameters, tabData) -> {
				tabData.accept(NovaTerraDimensionModItems.RAPHOSNEST_SPAWN_EGG.get());
			}).withSearchBar().build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {

		if (tabData.getTabKey() == CreativeModeTabs.REDSTONE_BLOCKS) {
			tabData.accept(NovaTerraDimensionModBlocks.ARMATAE_ABIETE_FENCE_GATE.get().asItem());
			tabData.accept(NovaTerraDimensionModBlocks.ARMATAE_ABIETE_PRESSURE_PLATE.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(NovaTerraDimensionModBlocks.ARMATAE_ABIETE_LEAVES.get().asItem());
			tabData.accept(NovaTerraDimensionModBlocks.ARMATAE_ABIETE_FENCE.get().asItem());
		}
	}
}
